{% extends 'index.html' %}
{% load static %}
{% block content %}

<main id="main" xmlns="http://www.w3.org/1999/html">
    <section id="portfolio" class="portfolio section-bg">
      <div class="container">

        <div class="section-title">
          <h2>Posts</h2>
        </div>

            {% for post in object_list %}
          <li><a href = "{% url 'post_detail_url' post.pk %}"><strong>{{ post.title }}</strong> - <i>{{ post.post_date }}</i></a></li><br/>
            {% endfor %}
      </div>
        </br>
        {% if user.is_authenticated %}
        <div class="container"><a href="{% url 'add_post_url' %}" class="btn btn-dark">Add post</a></div>
        {% endif %}
    </section>

</main>
{% endblock content %}
